//Autor: MPIK
//Pokus o zskn data publikovn z publikanch log

{$include DatePublished.config.pas}
 
var NemajiPublishLog:string;
    
    //PomocnyVypis 
    
function PluginCaption: string;
begin
  Result := 'Pidn tagu s datem publikace';
end;

function PluginHint: string;
begin
  Result := 'Pid tag s datem publikace';
end;

function PluginIcon: string;
begin
  Result := DecodeBase64('Qk02AwAAAAAAADYAAAAoAAAAEAAAABAAAAABABgAAAAAAAAAAADEDgAAxA4AAAAAAAAAAAAA7ezr 7ezr7ezrAAAAAAAAAAAAAAAAl5eX7ezr7ezr7ezr7ezr7ezr7ezr7ezr7ezr7ezr7ezr7ezrAAAA x8fHx8fHx8fHAAAAAAAAAAAAAAAAl5eX7ezr7ezr7ezr7ezr7ezr7ezr7ezrAAAAx8fH5+fn5+fn 5+fn5+fn5+fnx8fHAAAAAAAAAAAA7ezr7ezr7ezr7ezr7ezrAAAAx8fH5+fn19fX19fX//////// ////5+fn////AAAA7ezr7ezr7ezr7ezr7ezrAAAAx8fH5+fnCAgICAgI19fX19fX19fX//////// AAAA7ezr7ezr7ezr7ezr7ezrAAAAx8fH5+fn////////CAgICAgICAgI19fX////AAAA7ezr7ezr 7ezr7ezr7ezrAAAAx8fH5+fn19fX19fX////////////CAgI////AAAA7ezr7ezr7ezr7ezr7ezr AAAAx8fH5+fnAAAAAAAA19fX19fX19fX////////AAAA7ezr7ezr7ezr7ezr7ezrAAAAx8fH19fX 5+fn9/f3AAAAAAAAAAAA19fX////AAAA7ezr7ezr7ezr7ezr7ezrAAAAx8fH5+fn//////////// 5+fn9/f3AAAA////AAAA7ezr7ezr7ezr7ezr7ezrAAAAx8fH5+fn////////AAD/////////9/f3 ////AAAA7ezr7ezr7ezr7ezr7ezrAAAAx8fH5+fn////////////AAD/AAD/srL/AAD/AAD/7ezr 7ezr7ezr7ezr7ezrAAAAAAAAAAAAAAAA5+fn5+fn5+fn5+fnAAD/AACyAACyAAD/7ezr7ezr7ezr 7ezr7ezr7ezr7ezrl5eXAAAAAAAAAAAAAAAAAAD/AACysrL/AAD/7ezr7ezr7ezr7ezr7ezr7ezr 7ezr7ezr7ezr7ezr7ezrl5eXAAD/AAD/////AAD/7ezr7ezr7ezr7ezr7ezr7ezr7ezr7ezr7ezr 7ezr7ezr7ezr7ezrAAD/AAD/7ezr7ezr');
end;

function PluginFlags: string;
begin
  Result := 'toolbar,list';
end;

procedure PluginStart;
 
begin 
    //if GeoBusyTest then if messBox('Zastavit?','',3)=6 //Yes  
            // then GeoStopWork;
end;
  
procedure PluginWork;   

//type TduleziteLogy = ('Publish Listing','Update Coordinates','Owner Maintenance','Needs Maintenence','Needs Archive'); 

var //bod:TGeo;
    //log:TGeolog;
    i:integer;  
    BylNalezenPublishLog:boolean;
    
begin

  if GC.TagHaveCategory('DatePublished') then exit; // U m piazen tag
                     //Pokud neni, hledam, jestli PL neni uz stazen
  BylNalezenPublishLog:=false;  
  for i := 0 to GC.Logs.count-1 do
  begin
      if GC.Logs.Items[i].logType = 'Publish Listing' then  
        begin
              GC.TagAdd('DatePublished',formatDateTime('yyyymmdd',GC.Logs.Items[i].date));
              BylNalezenPublishLog:=true;
        end;
  end;
  if BylNalezenPublishLog then exit;    //PublicLog u byl staen dve
               //Pokud PL chybi, stahnu vsechny logy a priradim
  GCliveGetLogs(GC.ID,10000,false,false); // Sthnou se vechny logy
  GC.LoadByGC(GC.ID); // znovunaten z databze po naten log
  for i := 0 to GC.Logs.count-1 do
  begin
      if GC.Logs.Items[i].logType = 'Publish Listing' then  
        begin
              GC.TagAdd('DatePublished',formatDateTime('yyyymmdd',GC.Logs.Items[i].date));
              BylNalezenPublishLog:=true;
        end;
  end;
              //Vyistit od zbytench log
  GC.RefineLogs(strToInt(MaxPocetLogu),true,true,GEOGET_OWNERS);
              
  if BylNalezenPublishLog then exit;    //V seznamu vech log byl PublishLog
          // Pokud Publish log nen ani na GS, dm misto nej DateHidden a pridam ho do seznamu
  //GC.TagAdd('DatePublished',formatDateTime('yyyymmdd',GC.Hidden));       
  NemajiPublishLog:=NemajiPublishLog+GC.ID+' '+GC.name+CRLF;
   //Nelze automaticky, pi peruen stahovn log pes LiveApi publikan log chyb
   //Ukldm tedy tyto jen do seznamu pro pozdj kontrolu
end;
   
procedure PluginStop;  

begin  
 if NemajiPublishLog <>'' then
 StringToFile(NemajiPublishLog,'NemajiPublishLog'+FormatDateTime('yyyymmddhhnn',now)+'.txt');

end;
